> For the complete documentation index, see [llms.txt](https://docs.digitalriver.com/commerce-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalriver.com/commerce-api/admin-apis/product-management/manage-products-asynchronous-api/deleting-a-base-or-individual-products-locale.md).

# Deleting a base or individual product's locale

When deleting a locale from an individual product or base product, note that:

* You can only delete a locale from an individual or base product. You cannot delete multiple locales at the same time. When you delete a locale from a base product, you also delete that locale from all of its product variations.
* You can't delete a default locale. Attempting to do so will result in an error. To delete a default locale, you must change it by [updating the product](/commerce-api/admin-apis/product-management/manage-products-asynchronous-api/creating-or-updating-a-product.md#adding-or-updating-a-products-locale) before you can delete the original default locale.

The following [`DELETE /v1/products/{productId or ERID}/locales/{locale}`](https://docs.digitalriver.com/commerce-api-references/admin-apis/product-management/manage-products-asynchronous-api#v1-products-productid-locales-locale) request deletes the locale from a base or individual product.&#x20;

{% hint style="info" %}
You cannot delete a locale from a product variation.
{% endhint %}

To delete a locale  for a base product or individual product, you must provide either a [`productId`](https://docs.digitalriver.com/commerce-api-references/commerce-api-reference-guide/api-structure/product-identifier) or [`ERID` ](https://docs.digitalriver.com/commerce-api-references/commerce-api-reference-guide/api-structure/product-external-reference-identifier-erid)and the [`locale` ](https://docs.digitalriver.com/commerce-api-references/commerce-api-reference-guide/api-structure/locale-and-currency)(for example, `en_GB`).&#x20;

{% hint style="info" %}
Duplicate ERIDs are not allowed. To prevent duplicate ERIDs, [enable the Enforce Unique Value](https://docs.digitalriver.com/commerce-api-references/commerce-api-reference-guide/api-structure/product-external-reference-identifier-erid#enabling-the-enforce-unique-value) when [configuring company settings](https://help.digitalriver.com/internal-help/gc/Administration/Company/Configuring-company-settings.htm) in Global Commerce to ensure that you won't accidentally provide an ERID that would result in duplicate products in the response if you searched for a product by ERID.
{% endhint %}

{% tabs %}
{% tab title="cURL" %}
The following example deletes a locale with a specific base or individual product with a `productId`.

```http
curl --location --request DELETE 'https://api.digitalriver.com/products/v1/{productId}/locales/{locale}' \
--header 'Authorization: Basic <API_key>' \
...
```

An ERID request requires the `x-erid-as-pid=true` header.

```
curl --location --request DELETE 'https://api.digitalriver.com/v1/products/{ERID}/locales/{locale}' \
--header 'Authorization: Basic <API_key>' \
--header 'header x-erid-as-pid=true' \
...
```

{% endtab %}

{% tab title="202 Accepted response" %}
The request returns a task identifier (`taskId`) in the [asynchronous ](/commerce-api/admin-apis/product-management/getting-started.md#asynchronous-and-synchronous-calls)response.

```json
{
    "taskId": "2496da1d-4ba7-4396-880c-760b57e732ea",
    "requestType": "DELETE_VARIATION",
    "taskStatus": "PUBLISHED",
    "receivedTime": "2022-08-24T19:55:51.690Z"
}
```

Use the `taskId` in the response to [verify the successful completion of the request](/commerce-api/admin-apis/product-management/get-the-task-status-for-a-product-synchronous-api/getting-the-latest-information-on-a-product-task.md). You can also verify the successful completion of the task by [checking the product history](#product-history-attributes) in [Global Commerce](https://gc.digitalriver.com/gc/ent/login.do). Note that there may be a delay before these changes appear in Global Commerce.&#x20;
{% endtab %}
{% endtabs %}

## Verifying the deletion of a product's locale in Global Commerce

Deleting a locale associated with an individual or base product will no longer appear associated with the product in Global Commerce.

1. Sign in to [Global Commerce](https://gc.digitalriver.com/gc/ent/login.do).
2. Select **Catalog**, select **Products**, and then click **Manage Products**. The Products page appears.
3. Click the **Search** tab, select **Product** from the **Search In** drop-down list, and choose **ID** from the **Search By** list. Enter the product identifier or ERID in the **Search For** field, then click **Search**.
4. Click the link for the product under the **Internal Product Name column**. The Edit Product page appears.
5. Click the **Details** tab and verify the deleted locale no longer appears under the **Choose a Locale** column.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalriver.com/commerce-api/admin-apis/product-management/manage-products-asynchronous-api/deleting-a-base-or-individual-products-locale.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
